Package com.massivecraft.factions.zcore.fperms

## Enum PermissableAction

- java.lang.Object
- - java.lang.Enum<PermissableAction>
  - - com.massivecraft.factions.zcore.fperms.PermissableAction

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PermissableAction>`, `java.lang.constant.Constable`

    public enum PermissableAction
    extends java.lang.Enum<PermissableAction>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ACCESS` |
`BAN` |
`BUILD` |
`BUTTON` |
`CHECK` |
`CHEST` |
`CONTAINER` |
`DESTROY` |
`DISBAND` |
`DOOR` |
`FLY` |
`FROST_WALK` |
`HOME` |
`INVITE` |
`ITEM` |
`KICK` |
`LEVER` |
`PAIN_BUILD` |
`PROMOTE` |
`SETHOME` |
`SETWARP` |
`SPAWNER` |
`TERRITORY` |
`TNTBANK` |
`TNTFILL` |
`VAULT` |
`WARP` |
`WITHDRAW` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.bukkit.inventory.ItemStack` | `buildAsset​(FPlayer fme, Permissable perm)` |
`static java.util.Map<PermissableAction,​Access>` | `fromDefaults​(DefaultPermissions defaultPermissions)` |
`static PermissableAction` | `fromSlot​(int slot)` |
`static PermissableAction` | `fromString​(java.lang.String check)` | Case insensitive check for action.
`java.lang.String` | `getName()` | Get the friendly name of this action.
`int` | `getSlot()` |
`java.lang.String` | `toString()` |
`static PermissableAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static PermissableAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BAN

    public static final PermissableAction BAN

#### BUILD

    public static final PermissableAction BUILD

#### DESTROY

    public static final PermissableAction DESTROY

#### FROST_WALK

    public static final PermissableAction FROST_WALK

#### PAIN_BUILD

    public static final PermissableAction PAIN_BUILD

#### DOOR

    public static final PermissableAction DOOR

#### BUTTON

    public static final PermissableAction BUTTON

#### LEVER

    public static final PermissableAction LEVER

#### CONTAINER

    public static final PermissableAction CONTAINER

#### INVITE

    public static final PermissableAction INVITE

#### KICK

    public static final PermissableAction KICK

#### ITEM

    public static final PermissableAction ITEM

#### SETHOME

    public static final PermissableAction SETHOME

#### TERRITORY

    public static final PermissableAction TERRITORY

#### ACCESS

    public static final PermissableAction ACCESS

#### HOME

    public static final PermissableAction HOME

#### DISBAND

    public static final PermissableAction DISBAND

#### PROMOTE

    public static final PermissableAction PROMOTE

#### SETWARP

    public static final PermissableAction SETWARP

#### WARP

    public static final PermissableAction WARP

#### FLY

    public static final PermissableAction FLY

#### VAULT

    public static final PermissableAction VAULT

#### TNTBANK

    public static final PermissableAction TNTBANK

#### TNTFILL

    public static final PermissableAction TNTFILL

#### WITHDRAW

    public static final PermissableAction WITHDRAW

#### CHEST

    public static final PermissableAction CHEST

#### CHECK

    public static final PermissableAction CHECK

#### SPAWNER

    public static final PermissableAction SPAWNER

### Method Detail

#### values

    public static PermissableAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PermissableAction valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromString

    public static PermissableAction fromString​(java.lang.String check)

Case insensitive check for action.

Parameters:
  `check` -
Returns:
  - action

#### fromDefaults

    public static java.util.Map<PermissableAction,​Access> fromDefaults​(DefaultPermissions defaultPermissions)

#### fromSlot

    public static PermissableAction fromSlot​(int slot)

#### getSlot

    public int getSlot()

#### getName

    public java.lang.String getName()

Get the friendly name of this action. Used for editing in commands.

Returns:
  friendly name of the action as a String.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<PermissableAction>`

#### buildAsset

    public org.bukkit.inventory.ItemStack buildAsset​(FPlayer fme,
                                                     Permissable perm)